# ScoDoc: un logiciel libre pour le suivi de la scolarité


ScoDoc est un logiciel libre développé par Emmanuel Viennet pour le suivi de la scolarité des étudiants d'Université: suivi précis des étudiants (assiduité, notes). Son objectif est de faciliter le travail des enseignants et personnels (facilité de saisie des informations, éditions de bordereaux et de bulletins simplifiée). 

Les données conservées dans le logiciel peuvent être exportées dans une grande  variété de formats (pages web, PDF, Excel, XML...) ce qui facilite tant son usage par  des non informaticiens que son intégration dans d'autres logiciels (portails d'établissements,  systèmes d'informations comme Apogée). 

ScoDoc est un *logiciel libre*. Vous pouvez participer à son développement. Visitez le [système de suivi (Trac)](https://www-lipn.univ-paris13.fr/projects/scodoc) pour  signaler des problèmes ou demander des améliorations, ou écrivez à <notes@listes.univ-paris13.fr>.

ScoDoc est un logiciel purement web: tous les accès se font via un navigateur web standard, à travers Internet (connexions sécurisées); pour obtenir un accès sur un '''serveur de démo''' (réservé aux IUT), contacter: <notes@listes.univ-paris13.fr> . Pour installer le logiciel sur votre serveur, voir le [guide d'installation sur Debian 10](GuideInstallDebianDix.md) (ou [sur Debian 9](GuideInstallDebianNeuf.md) au besoin). 

ScoDoc est utilisé dans de nombreux établissement français et étrangers, **dont au moins 58 IUT**: [liste des utilisateurs connus de ScoDoc](UtilisateursScoDoc.md).

Depuis 2020, ScoDoc est soutenu par une [association à but non lucratif (1901)](AssociationScoDoc.md), à laquelle tous les départements ou établissements utilisateurs sont **invités à adhérer**. Bulletin d'adhésion à retourner à `Emmanuel.Viennet at gmail.com`.

## Présentation générale

 - [Présentation générale du logiciel avec copies d'écran](PresentationGenerale.md)
 
 - Quelques <a href="https://www.youtube.com/playlist?list=PLw49h6RbvswhasBk9bXj7PzOD8GDW3kG1" target="_blank">vidéos d'introduction sur YouTube <img src="img/tube.png" alt="" style="margin-top:0px; margin-bottom:0px; border-width:0px;"/></a>

 - Présentation au colloque du [CRI-IUT](https://www.criiut.fr/) en 2013: [diapos en pdf](papers/presScoDocCRIIUT2013.pdf)
 - Un [article (assez ancien) sur ScoDoc](papers/scodoc-reunion2007.pdf)


## Communauté d'utilisateurs

 - [Listes de diffusion e-mail](ListesDeDiffusion.md)
 - Vous pouvez signaler ici des bugs ou déposer des suggestions d'amélioration via les "tickets" (*système en cours de rénovation*):
  * [liste des tickets en cours](https://www-lipn.univ-paris13.fr/projects/scodoc/report/10)
  * [déclarer un nouveau ticket](https://www-lipn.univ-paris13.fr/projects/scodoc/newticket)

Page web de l'auteur: <http://www-l2ti.univ-paris13.fr/~viennet>


